import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { BreadCrumbService } from '../breadcrumb.service';
import { MenuConfig } from '../breadcrumb.type';
import * as i0 from "@angular/core";
export declare class BreadCrumbItemComponent implements OnInit {
    breadCrumbComponent: any;
    private breadCrumbService;
    showMenu: boolean;
    customMenuTemplate: TemplateRef<any>;
    menuList: Array<MenuConfig>;
    isSearch: boolean;
    toggleEvent: EventEmitter<boolean>;
    menuListDisplay: Array<MenuConfig>;
    isOpen: boolean;
    constructor(breadCrumbComponent: any, breadCrumbService: BreadCrumbService);
    ngOnInit(): void;
    onToggle($event: any): void;
    searchEvent($event: any): void;
    navigateTo($event: any, item: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadCrumbItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadCrumbItemComponent, "d-breadcrumb-item", ["dBreadcrumbItem"], { "showMenu": "showMenu"; "customMenuTemplate": "customMenuTemplate"; "menuList": "menuList"; "isSearch": "isSearch"; }, { "toggleEvent": "toggleEvent"; }, never, ["*"], false, never>;
}
