import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DevConfigService } from 'ng-devui/utils';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CheckBoxGroupComponent implements OnChanges, ControlValueAccessor {
    private devConfigService;
    static ID_SEED: number;
    name: string;
    itemWidth: number;
    color: any;
    direction: 'row' | 'column';
    isShowTitle: boolean;
    disabled: boolean;
    options: any[];
    filterKey: string;
    labelTemplate: TemplateRef<any>;
    showAnimation: boolean;
    beforeChange: (value: any) => boolean | Promise<boolean> | Observable<boolean>;
    change: EventEmitter<boolean>;
    values: any[];
    options_display: any[];
    private onChange;
    private onTouch;
    constructor(devConfigService: DevConfigService);
    ngOnChanges(changes: SimpleChanges): void;
    checkType(): void;
    writeValue(inputArray: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    toggle($event: any, i: any): void;
    getCheckedArray(): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckBoxGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckBoxGroupComponent, "d-checkbox-group", never, { "name": "name"; "itemWidth": "itemWidth"; "color": "color"; "direction": "direction"; "isShowTitle": "isShowTitle"; "disabled": "disabled"; "options": "options"; "filterKey": "filterKey"; "labelTemplate": "labelTemplate"; "showAnimation": "showAnimation"; "beforeChange": "beforeChange"; }, { "change": "change"; }, never, never, false, never>;
}
