import { OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { TableExpandConfig, TableWidthConfig } from './data-table.model';
import { DataTableColumnTmplComponent } from './tmpl/data-table-column-tmpl.component';
import * as i0 from "@angular/core";
export declare class DataTableBodyComponent implements OnChanges {
    dt: any;
    checkable: boolean;
    showExpandToggle: boolean;
    allChecked: boolean;
    selectable: boolean;
    editModel: string;
    editRowItem: any;
    dataSource: any[];
    resizeable: boolean;
    columns: DataTableColumnTmplComponent[];
    detailTemplateRef: TemplateRef<any>;
    timeout: number;
    type: string;
    rowHoveredHighlight: boolean;
    tableLevel: number;
    nestedIndex: string;
    virtualScroll: any;
    tableWidthConfig: TableWidthConfig[];
    headerExpandConfig: TableExpandConfig;
    generalRowHoveredData: boolean;
    childTdColspan: number;
    constructor(dt: any);
    ngOnChanges(changes: SimpleChanges): void;
    trackByFn(index: any, item: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataTableBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataTableBodyComponent, "d-data-table-body, [dDataTableBody]", never, { "checkable": "checkable"; "showExpandToggle": "showExpandToggle"; "allChecked": "allChecked"; "selectable": "selectable"; "editModel": "editModel"; "editRowItem": "editRowItem"; "dataSource": "dataSource"; "resizeable": "resizeable"; "columns": "columns"; "detailTemplateRef": "detailTemplateRef"; "timeout": "timeout"; "type": "type"; "rowHoveredHighlight": "rowHoveredHighlight"; "tableLevel": "tableLevel"; "nestedIndex": "nestedIndex"; "virtualScroll": "virtualScroll"; "tableWidthConfig": "tableWidthConfig"; "headerExpandConfig": "headerExpandConfig"; "generalRowHoveredData": "generalRowHoveredData"; }, {}, never, never, false, never>;
}
