import { CdkVirtualScrollViewport } from '@angular/cdk/scrolling';
import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { DatepickerProService } from '../datepicker-pro.service';
import * as i0 from "@angular/core";
export declare class YearPanelComponent implements OnInit, OnDestroy {
    private cdr;
    private pickerSrv;
    scrollListCmp: CdkVirtualScrollViewport;
    isRangeType: boolean;
    yearList: any[];
    unsubscribe$: Subject<void>;
    get curHoverDate(): Date;
    set curHoverDate(value: Date);
    get currentDate(): Date;
    set currentDate(value: Date);
    constructor(cdr: ChangeDetectorRef, pickerSrv: DatepickerProService);
    ngOnInit(): void;
    initObservable(): void;
    initYearList(): void;
    goToYear(date: Date): void;
    isThisYear(yearIndex: number): boolean;
    isActiveYear(yearIndex: number): boolean;
    isStartDate(yearIndex: number): boolean;
    isEndDate(yearIndex: number): boolean;
    isDateAbandon(yearIndex: number): boolean;
    isActiveTypeDate(yearIndex: number): boolean;
    isDateInRange(yearIndex: number): boolean;
    isDateInSelectRange(yearIndex: number): boolean;
    selectYear(yearIndex: number): void;
    isDisable(yearIndex: number): boolean;
    setHoverTarget(yearIndex: number): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<YearPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YearPanelComponent, "d-year-panel", never, { "isRangeType": "isRangeType"; }, {}, never, never, false, never>;
}
