import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { TwoDatePickerComponent } from './two-datepicker.component';
import * as i0 from "@angular/core";
export declare class TwoDatePickerStartDirective implements OnInit, OnDestroy, ControlValueAccessor {
    private twoDatePicker;
    private renderer;
    private el;
    selectStart: EventEmitter<any>;
    userHtml: any;
    private switchOriginSub;
    private twoDateSub;
    private valueChangeSubscrip;
    private onChange;
    constructor(twoDatePicker: TwoDatePickerComponent, renderer: Renderer2, el: ElementRef);
    toggle(event?: MouseEvent): void;
    onBlur($event: any): void;
    ngOnInit(): void;
    initInputChanges(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(selectedStart: any): void;
    clear: () => void;
    transUserInputToDatePicker(value?: string): void;
    validDate(value: any): boolean;
    resetValue(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TwoDatePickerStartDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TwoDatePickerStartDirective, "[dTwoDatePickerStart]", ["twoDatePickerStart"], {}, { "selectStart": "selectStart"; }, never, never, false, never>;
}
