import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { DescendantRoot } from '../services/drag-drop-desc-reg.service';
import { DragSyncDescendantRegisterService, DropSortSyncDescendantRegisterService } from '../services/drag-drop-descendant-sync.service';
import { DragDropSyncService } from '../services/drag-drop-sync.service';
import { DragSyncDirective } from './drag-sync.directive';
import { DropSortSyncDirective } from './drop-sort-sync.directive';
import * as i0 from "@angular/core";
export declare class DragDropSyncBoxDirective implements OnInit, AfterViewInit, OnDestroy {
    private dragDropSyncService;
    private dragSyncDrs;
    private dropSortSyncDrs;
    sub: Subscription;
    dragSyncList: DescendantRoot<DragSyncDirective>;
    dropSyncList: DescendantRoot<DropSortSyncDirective>;
    constructor(dragDropSyncService: DragDropSyncService, dragSyncDrs: DragSyncDescendantRegisterService, dropSortSyncDrs: DropSortSyncDescendantRegisterService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragDropSyncBoxDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragDropSyncBoxDirective, "[dDragDropSyncBox]", ["dDragDropSyncBox"], {}, {}, never, never, false, never>;
}
