import { CdkConnectedOverlay, CdkOverlayOrigin, ConnectedOverlayPositionChange, ConnectedPosition, ScrollStrategy, ScrollStrategyOptions, VerticalConnectionPos } from '@angular/cdk/overlay';
import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AppendToBodyDirection, AppendToBodyScrollStrategyType } from 'ng-devui/utils';
import { DropDownDirective } from './dropdown.directive';
import * as i0 from "@angular/core";
export declare class DropDownAppendToBodyComponent implements OnInit, OnChanges {
    dropDown: DropDownDirective;
    private scrollStrategyOption;
    dropDownWrapper: ElementRef;
    overlay: CdkConnectedOverlay;
    alignOrigin: ElementRef<any>;
    appendToBodyDirections: Array<AppendToBodyDirection | ConnectedPosition>;
    appendToBodyScrollStrategy: AppendToBodyScrollStrategyType;
    menuPosition: VerticalConnectionPos;
    origin: CdkOverlayOrigin;
    positions: any;
    scrollStrategy: ScrollStrategy;
    constructor(dropDown: DropDownDirective, scrollStrategyOption: ScrollStrategyOptions);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    setOrigin(): void;
    setPositions(): void;
    reposition(): void;
    onPositionChange(position: ConnectedOverlayPositionChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownAppendToBodyComponent, [{ host: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropDownAppendToBodyComponent, "[dDropDown][appendToBody]", never, { "alignOrigin": "alignOrigin"; "appendToBodyDirections": "appendToBodyDirections"; "appendToBodyScrollStrategy": "appendToBodyScrollStrategy"; }, {}, never, ["*", "[dDropDownMenu]"], false, never>;
}
