import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ModalHeaderComponent implements OnInit, OnDestroy {
    private ref;
    private i18n;
    title: string;
    dialogtype: string;
    showCloseBtn: boolean;
    closeEvent: EventEmitter<any>;
    i18nText: I18nInterface['modal'];
    i18nSubscription: Subscription;
    get checkDialogType(): string;
    constructor(ref: ChangeDetectorRef, i18n: I18nService);
    ngOnInit(): void;
    close(event: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalHeaderComponent, "d-modal-header", never, { "title": "title"; "dialogtype": "dialogtype"; "showCloseBtn": "showCloseBtn"; }, { "closeEvent": "closeEvent"; }, never, never, false, never>;
}
