import { OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { IAxisConfigs, IQuadrantConfigs, IViewConfigs } from '../quadrant-diagram.type';
import * as i0 from "@angular/core";
export declare class QuadrantRegionComponent implements OnInit, OnChanges {
    quadrantConfigs: Array<IQuadrantConfigs>;
    axisConfigs: IAxisConfigs;
    view: IViewConfigs;
    labelData: any;
    normalLabelTemplate: TemplateRef<any>;
    largeLabelTemplate: TemplateRef<any>;
    smallLabelTemplate: TemplateRef<any>;
    currentLabelSize: any;
    showQuadrants: any;
    dropScope: any;
    diagramId: any;
    quadrantHeight: number;
    quadrantWidth: number;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    drawQuadrantRegion(): void;
    getQuadrantTopValue(index: any): number;
    getQuadrantLeftValue(index: any): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuadrantRegionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuadrantRegionComponent, "d-quadrant-region", never, { "quadrantConfigs": "quadrantConfigs"; "axisConfigs": "axisConfigs"; "view": "view"; "labelData": "labelData"; "normalLabelTemplate": "normalLabelTemplate"; "largeLabelTemplate": "largeLabelTemplate"; "smallLabelTemplate": "smallLabelTemplate"; "currentLabelSize": "currentLabelSize"; "showQuadrants": "showQuadrants"; "dropScope": "dropScope"; "diagramId": "diagramId"; }, {}, never, never, false, never>;
}
