import { OnDestroy, PipeTransform } from '@angular/core';
import { I18nService } from 'ng-devui/i18n';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class RelativeTimePipe implements PipeTransform, OnDestroy {
    private i18n;
    private _destroyed$;
    constructor(i18n: I18nService);
    transform(value: string | number | Date, limit: number, compareDate?: string | number | Date, weekStartsOn?: 0 | 1 | 2 | 3 | 4 | 6 | 5): Observable<string | number | Date>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RelativeTimePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<RelativeTimePipe, "dRelativeTime", false>;
}
