import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { TimeAxisMode } from '../time-axis.type';
import * as i0 from "@angular/core";
export declare class TimeAxisItemComponent implements OnInit {
    model: any;
    direction: any;
    time: any;
    timePosition: any;
    position: any;
    lineStyle: any;
    customDot: any;
    dotColor: any;
    iconClass: any;
    extraElement: any;
    text: any;
    contentTemplate: TemplateRef<any>;
    data: any;
    horizontalAlign: string;
    mode: TimeAxisMode;
    statusChanged: EventEmitter<string>;
    _type: any;
    dotText: string;
    set type(type: any);
    /**
    * @deprecated Use type to replace.
    */
    set status(status: any);
    get horizontalNoLine(): boolean;
    get verticalNoLine(): boolean;
    constructor();
    ngOnInit(): void;
    get extraTemplate(): TemplateRef<any>;
    get dotTemplate(): any;
    get timeAxisLineClass(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeAxisItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeAxisItemComponent, "d-time-axis-item", never, { "model": "model"; "direction": "direction"; "time": "time"; "timePosition": "timePosition"; "position": "position"; "lineStyle": "lineStyle"; "customDot": "customDot"; "dotColor": "dotColor"; "iconClass": "iconClass"; "extraElement": "extraElement"; "text": "text"; "contentTemplate": "contentTemplate"; "data": "data"; "horizontalAlign": "horizontalAlign"; "mode": "mode"; "type": "type"; "status": "status"; }, { "statusChanged": "statusChanged"; }, never, never, false, never>;
}
