import { EventEmitter, TemplateRef } from '@angular/core';
import { FileUploader } from './file-uploader.class';
import { IUploadOptions, UploadStatus } from './file-uploader.types';
import { UploadComponent } from './upload.class';
import { UploadedFilesComponent } from './uploaded-files.component';
import * as i0 from "@angular/core";
export declare class SingleUploadViewComponent extends UploadComponent {
    uploadOptions: IUploadOptions;
    preloadFilesRef: TemplateRef<any>;
    uploadedFiles: Array<Object>;
    uploadedFilesRef: TemplateRef<any>;
    filePath: string;
    dynamicUploadOptionsFn: (files: any, uploadOptions: any) => IUploadOptions;
    deleteUploadedFileEvent: EventEmitter<any>;
    uploadedFilesComponent: UploadedFilesComponent;
    UploadStatus: typeof UploadStatus;
    fileUploaders: Array<FileUploader>;
    addFile(file: File): void;
    deleteFile(file: File): void;
    deletePreUploadFile(file: any): void;
    deleteFileProxy: (file: any) => void;
    _onDeleteUploadedFile(filePath: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleUploadViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleUploadViewComponent, "d-single-upload-view", ["dSingleUploadView"], { "uploadOptions": "uploadOptions"; "preloadFilesRef": "preloadFilesRef"; "uploadedFiles": "uploadedFiles"; "uploadedFilesRef": "uploadedFilesRef"; "filePath": "filePath"; "dynamicUploadOptionsFn": "dynamicUploadOptionsFn"; }, { "deleteUploadedFileEvent": "deleteUploadedFileEvent"; }, never, never, false, never>;
}
