import { OnDestroy, RendererFactory2 } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class UserGuideCoreService implements OnDestroy {
    private rendererFactory2;
    private doc;
    private steps;
    private stepsDetails;
    private currentStep;
    private prevStep;
    private nextStep;
    private isStart;
    private _destory;
    private onExit;
    private interactableEvent;
    private _showOverlayState;
    private currentType;
    private currentDirection;
    onResize: Observable<Event>;
    curContent: BehaviorSubject<string>;
    curSubContent: BehaviorSubject<string>;
    curStep: BehaviorSubject<number>;
    canNext: BehaviorSubject<boolean>;
    canPrev: BehaviorSubject<boolean>;
    canFinish: BehaviorSubject<boolean>;
    isFinished: BehaviorSubject<boolean>;
    showButtons: BehaviorSubject<boolean>;
    showOverlayState: BehaviorSubject<{
        showMaskLayer: boolean;
        showNormalOverlay: boolean;
        showTopOverlay: boolean;
        showBottomOverlay: boolean;
        showLeftOverlay: boolean;
        showRightOverlay: boolean;
        showBorder: boolean;
    }>;
    showOperateZone: BehaviorSubject<boolean>;
    showPrevButton: BehaviorSubject<boolean>;
    curStepType: BehaviorSubject<string>;
    document: Document;
    panelPostion: any;
    constructor(rendererFactory2: RendererFactory2, doc: any);
    ngOnDestroy(): void;
    start(): void;
    private generateStepsDetails;
    private setInitialState;
    setSteps(steps: any): void;
    setExitFunction(exit: any): void;
    updateNextStepElement(): void;
    updateCurrentStepElement(): void;
    private canChange;
    next(): void;
    prev(): void;
    exit(): void;
    goStep(index: number): void;
    onBeforeChange(index: number): void;
    getCurrentStep(): any;
    getCurrentDirection(): any;
    getStepLength(): number;
    private registerInteractableEvent;
    private clearInteractableEvent;
    private registerClickEvent;
    private clickEventHandle;
    private registerInputEvent;
    private inputEventHandle;
    private inputOperateZoneHandle;
    private registerExitEvent;
    private ExitEventHandle;
    private ChooseProperOverlay;
    private generateOverlay;
    private setStepShow;
    private changeStepState;
    private changeStep;
    private generateNormalOverlay;
    private setNormalStepShow;
    private generateInteractableOverlay;
    private setInteractableStepShow;
    private generateDisplayOverlay;
    private setDisplayStepShow;
    private generateTipOverlay;
    private setTipStepShow;
    private createOnResizeObservable;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserGuideCoreService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserGuideCoreService>;
}
