import { IStepElementDetail } from '../user-guide.types';
export declare class PanelPostion {
    top: number;
    left: number;
    arrowTopBias: number;
    arrowLeftBias: number;
    availablePosition: string;
    alignDirection: string;
    step: IStepElementDetail;
    document: Document;
    constructor(document: any);
    calculateAvailablePosition(curStepRect: any, panelRect: any): void;
    calculateTopAndLeft(curStepRect: any, panelRect: any): void;
    calculateAlignDirection(curStepRect: any, panelRect: any): void;
    calculateTopBottomAlign(curStepRect: any, panelRect: any): void;
    calculateLeftRightAlign(curStepRect: any, panelRect: any): void;
    calculateBias(curStepRect: any, panelRect: any): void;
    calculateTopBottomBias(curStepRect: any, panelRect: any): void;
    calculateLeftRightBias(curStepRect: any, panelRect: any): void;
    getRealClientRect(step: any): {
        top: number;
        right: any;
        left: number;
        bottom: any;
        width: any;
        height: any;
    };
    calculatePosition(step: any): void;
}
