import { OnDestroy, OnInit } from '@angular/core';
import { AnchorBoxDirective } from './anchor-box.directive';
import { AnchorDirective } from './anchor.directive';
import { AnchorActiveChangeSource } from './anchor.type';
import * as i0 from "@angular/core";
export declare class AnchorLinkDirective implements OnInit, OnDestroy {
    get anchorActiveClass(): string;
    private _anchorName;
    set anchorName(anchor: string);
    get anchorName(): string;
    anchorActive: string;
    boxElement: AnchorBoxDirective;
    anchorBlock: AnchorDirective;
    bindingAnchorTimer: any;
    subscription: any;
    constructor(box: AnchorBoxDirective);
    ngOnInit(): void;
    ngOnDestroy(): void;
    subscribeAnchorMapChange(): void;
    bindAnchorAfterBoxReady: () => void;
    scrollToAnchor(activeChangeBy?: AnchorActiveChangeSource): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnchorLinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AnchorLinkDirective, "[dAnchorLink]", never, { "anchorName": "dAnchorLink"; "anchorActive": "anchorActive"; }, {}, never, never, false, never>;
}
