import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AvatarComponent implements OnChanges, OnInit {
    isNobody: boolean;
    isErrorImg: boolean;
    /**
    * 自定义头像显示文字
    */
    gender: 'male' | 'female' | string;
    /**
     * avatar宽度
     */
    width: number;
    /**
     * avatar高度
     */
    height: number;
    /**
     * 是否是圆形n
     */
    isRound: boolean;
    /**
     * 是否是图片
     */
    imgSrc: string;
    /**
   * 用户名称
   */
    name: string;
    /**
     * 自定义头像显示文字
     */
    customText: string;
    fontSize: number;
    code: number;
    nameDisplay: string;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    showErrAvatar(): void;
    calcValues(nameInput: any): void;
    setDisplayName(name: any, width: any): void;
    getBackgroundColor(char: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarComponent, "d-avatar", never, { "gender": "gender"; "width": "width"; "height": "height"; "isRound": "isRound"; "imgSrc": "imgSrc"; "name": "name"; "customText": "customText"; }, {}, never, never, false, never>;
}
