import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ColData } from './table-option-toggle.component';
import * as i0 from "@angular/core";
export declare class TableOptionModalComponent implements OnInit {
    private cdr;
    data: any;
    get showStyleSetting(): boolean;
    get selectedCols(): ColData[];
    _columnsData: Array<ColData>;
    columnsCache: Array<ColData>;
    _styleSetting: any;
    filterKey: string;
    allChecked: boolean;
    halfCheck: boolean;
    constructor(cdr: ChangeDetectorRef);
    judgeNameFIlter(name: string): boolean;
    onCheckedChanges(): void;
    onAllCheckChanges(checked: boolean): void;
    onSearch(value: string): void;
    ngOnInit(): void;
    searchIndex(col: any): any;
    onDrop(e: any): void;
    onCardActiveChanges(active: boolean, status: 'xs' | 'sm' | 'md'): void;
    styleSettingChanges(checked: any, type: 'border' | 'striped' | 'shadow'): void;
    close(): void;
    ensure(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableOptionModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableOptionModalComponent, "d-table-option-modal", never, { "data": "data"; }, {}, never, never, false, never>;
}
