import { OnDestroy, TemplateRef } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { Subscription } from 'rxjs';
import { DatepickerProService } from '../datepicker-pro.service';
import * as i0 from "@angular/core";
export declare class FooterPanelComponent implements OnDestroy {
    private pickerSrv;
    protected i18n: I18nService;
    footerTemplate: TemplateRef<any>;
    i18nText: I18nInterface['common'];
    i18nSubscription: Subscription;
    get isRange(): boolean;
    get confirmDisable(): boolean;
    constructor(pickerSrv: DatepickerProService, i18n: I18nService);
    setI18nText(): void;
    ensureDate(): void;
    close(isConfirm?: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FooterPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FooterPanelComponent, "d-datepicker-footer-panel", never, { "footerTemplate": "footerTemplate"; }, {}, never, never, false, never>;
}
