export type DropScrollEdgeDistancePercent = number;
export type DropScrollSpeed = number;
export type DropScrollSpeedFunction = (x: DropScrollEdgeDistancePercent) => DropScrollSpeed;
export type DropScrollDirection = 'h' | 'v';
export declare enum DropScrollOrientation {
    forward = 0,
    backward = 1
}
export interface DropScrollAreaOffset {
    left?: number;
    right?: number;
    top?: number;
    bottom?: number;
    widthOffset?: number;
    heightOffset?: number;
}
export type DropScrollTriggerEdge = 'left' | 'right' | 'top' | 'bottom';
export declare const DropScrollEnhanceTimingFunctionGroup: {
    default: (x: number) => number;
};
