import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { DropDownDirective } from './dropdown.directive';
import * as i0 from "@angular/core";
export declare class DropDownToggleDirective implements OnInit, AfterViewInit {
    private dropdown;
    private el;
    get tabIndex(): number;
    get attrDisabled(): string;
    get disabled(): boolean;
    addClass: boolean;
    toggleOnFocus: boolean;
    autoFocus: boolean;
    isMouseEvent: boolean;
    constructor(dropdown: DropDownDirective, el: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    toggleDropdown(event: MouseEvent): boolean;
    setMouseEventTrue(event: any): void;
    setMouseEventFalse(event: any): void;
    toggleOnFocusFn(event: FocusEvent): void;
    toggle(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownToggleDirective, [{ host: true; }, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropDownToggleDirective, "[dDropDownToggle]", ["d-dropdown-toggle"], { "toggleOnFocus": "toggleOnFocus"; "autoFocus": "autoFocus"; }, {}, never, never, false, never>;
}
