import { ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { DFormControlStatus } from './validator-directive/validate.type';
import * as i0 from "@angular/core";
export declare class FormLabelComponent {
    private cdr;
    required: boolean;
    hasHelp: boolean;
    helpTips: string;
    feedbackStatus: DFormControlStatus | null;
    get status(): boolean;
    constructor(cdr: ChangeDetectorRef, elementRef: ElementRef, renderer: Renderer2);
    updateFeedbackStatus(status: DFormControlStatus | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormLabelComponent, "d-form-label", never, { "required": "required"; "hasHelp": "hasHelp"; "helpTips": "helpTips"; }, {}, never, ["*"], false, never>;
}
