import { ElementRef, QueryList, TemplateRef } from '@angular/core';
import { MentionDirective } from './mention.directive';
import { MentionPositionType } from './mention.types';
import * as i0 from "@angular/core";
export declare class MentionComponent {
    items: QueryList<ElementRef>;
    suggestions: any[];
    activeIndex: number;
    loading: boolean;
    value: string;
    mentionNotFoundContent: string;
    mentionHeaderTemplate: TemplateRef<any>;
    mentionItemTemplate: TemplateRef<any>;
    trigger: MentionDirective;
    position: MentionPositionType;
    private get focusItemElement();
    selectSuggestion(suggestion: any): void;
    scrollToFocusItem(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MentionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MentionComponent, "d-mention", never, {}, {}, never, never, false, never>;
}
