export interface IRangeConfigs {
    min: number;
    max: number;
    step: number;
}
export interface IAxisConfigs {
    tickWidth?: number;
    spaceBetweenLabelsAxis?: number;
    axisMargin?: number;
    xAxisLabel?: string;
    yAxisLabel?: string;
    xWeight?: number;
    yWeight?: number;
    xAxisRange?: IRangeConfigs;
    yAxisRange?: IRangeConfigs;
    originPosition?: {
        left: number;
        bottom: number;
    };
    [propName: string]: any;
}
export interface IQuadrantConfigs {
    backgroundColor?: any;
    color?: any;
    title?: string;
    top?: number;
    left?: number;
}
export interface ILabelDataConfigs {
    x: number;
    y: number;
    title: string;
    content?: string;
    progress?: number;
    [propName: string]: any;
}
export interface IViewConfigs {
    height: number;
    width: number;
}
export type labelSize = 'small' | 'normal' | 'large';
