import { OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { QuadrantDiagramService } from '../quadrant-diagram.service';
import { IAxisConfigs, IViewConfigs } from '../quadrant-diagram.type';
import * as i0 from "@angular/core";
export declare class QuadrantLabelComponent implements OnChanges {
    private quadrantDiagramService;
    currentLabelSize: any;
    labelData: any;
    axisConfigs: IAxisConfigs;
    view: IViewConfigs;
    normalLabelTemplate: TemplateRef<any>;
    largeLabelTemplate: TemplateRef<any>;
    smallLabelTemplate: TemplateRef<any>;
    dropScope: any;
    diagramId: any;
    currentCenterPoint: any;
    currentLabelTemplate: any;
    constructor(quadrantDiagramService: QuadrantDiagramService);
    ngOnChanges(changes: SimpleChanges): void;
    /**
    * @param offsetY the half height of label
    */
    getLabelTopValue(yAxisValue: any, offsetY: any): number;
    /**
    * @param offsetX the half width of label
    */
    getLabelLeftValue(xAxisValue: any, offsetX: any): number;
    showAxisLine(x: any, y: any): void;
    hideAxisLine(): void;
    handleDropOutRegion(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuadrantLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuadrantLabelComponent, "d-quadrant-label", never, { "currentLabelSize": "currentLabelSize"; "labelData": "labelData"; "axisConfigs": "axisConfigs"; "view": "view"; "normalLabelTemplate": "normalLabelTemplate"; "largeLabelTemplate": "largeLabelTemplate"; "smallLabelTemplate": "smallLabelTemplate"; "dropScope": "dropScope"; "diagramId": "diagramId"; }, {}, never, never, false, never>;
}
