import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class FileDropDirective {
    enableDrop: boolean;
    isSingle: boolean;
    fileOver: EventEmitter<boolean>;
    fileDrop: EventEmitter<any>;
    protected element: ElementRef;
    constructor(element: ElementRef);
    onDrop(event: any): void;
    onDragOver(event: any): void;
    onDragLeave(event: any): any;
    protected _getTransfer(event: any): any;
    protected _preventAndStop(event: any): any;
    protected _haveFiles(types: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileDropDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FileDropDirective, "[d-file-drop]", never, { "enableDrop": "enableDrop"; "isSingle": "isSingle"; }, { "fileOver": "fileOver"; "fileDrop": "fileDrop"; }, never, never, false, never>;
}
