export declare class AnimationDuration {
    static SLOW: string;
    static BASE: string;
    static FAST: string;
}
export declare class AnimationNumberDuration {
    static SLOW: number;
    static BASE: number;
    static FAST: number;
}
export declare class AnimationCurves {
    static EASE_OUT: string;
    static EASE_IN: string;
    static EASE_IN_OUT: string;
    static LINEAR: string;
    /**
       * @deprecated 'EASE_IN_SMOOTH' does not match the actual bezier curve,replaced with 'EASE_IN_OUT_SMOOTH'
       */
    static EASE_IN_SMOOTH: string;
    static EASE_IN_OUT_SMOOTH: string;
}
