import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class HighlightComponent implements OnChanges {
    private translateHtml;
    private eleRef;
    private doc;
    display: string;
    value: string;
    term: string;
    /**
     * @deprecated
     */
    highlightClass: string;
    document: Document;
    constructor(translateHtml: DomSanitizer, eleRef: ElementRef, doc: any);
    ngOnChanges(changes: SimpleChanges): void;
    addDom(value: string, term: string): any;
    emptyChildren(container: any): void;
    highlight(value: string, term: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HighlightComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HighlightComponent, "d-highlight", never, { "value": "value"; "term": "term"; "highlightClass": "highlightClass"; }, {}, never, never, false, never>;
}
